Apple Patches: Update Your Apple Device NOW

Today, Apple offered emergency security patches for the iOS 14.4 and iPad OS 14.4 platforms, warning users that they found three separate security vulnerabilities… Vulnerabilities that hackers might already be in the process of exploiting.

READ: DO NOT DELAY UPDATING YOUR iPHONE OR OTHER APPLE DEVICE!!!

While Apple declined to provide in-depth vulnerability details, here is what we do know?

  • CVE-2021-1782: Kernel vulnerability
    • Impact: A malicious application may be able to elevate privileges. Apple is aware that this issue may have been actively exploited.
    • Available for:
      • iPhone 6s and later
      • iPad Air 2 and later
      • iPad mini 4 and later
      • iPod touch (7th generation).
    • Reported by: Anonymous
  • CVE-2021-1871 and CVE-2021-1870: WebKit vulnerability
    • Impact: A remote attacker may be able to execute arbitrary code. Apple is aware that this issue may have been actively exploited.
    • Available for:
      • iPhone 6s and later
      • iPad Air 2 and later
      • iPad mini 4 and later
      • iPod touch (7th generation)
    • Reported by: Anonymous researchers

That is all the information that has been released so far, though Apple has stated that they will provide additional details in the near future.

Please remember: One of the easiest ways to protect your network and devices is by updating your software IMMEDIATELY.  Even though updates can be annoying, do not wait to activate them, or you put yourself at needless risk.  Hackers have no shame.

If you have additional questions, feel free to contact us.  You can call at 919-422-2607, or schedule a free online appointment today.